main()
{
	//maps\mp\mp_geneva_fx::main();
	//maps\createart\mp_geneva_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_geneva");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_geneva" );
	ambientPlay("ambient_geneva_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar( "r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//rain code
	rain = getentarray("rain","targetname");
	for(i=0;i<rain.size;i++)
	rain[i] thread raining();

	//glass code
	fxwindowbreak = loadfx ("props/car_glass_large");
	trigwindowbreak = getentarray("trigwindowbreak","targetname");
	for(i=0;i<trigwindowbreak.size;i++)
	{
		trigwindowbreak[i].windowmodel = getent(trigwindowbreak[i].target, "targetname");
		trigwindowbreak[i] thread windowbreak(i,fxwindowbreak);
	}
	trigwindowindoorbreak = getentarray("trigwindowindoorbreak","targetname");
	for(i=0;i<trigwindowindoorbreak.size;i++)
	{
		trigwindowindoorbreak[i].windowmodel = getent(trigwindowindoorbreak[i].target, "targetname");
		trigwindowindoorbreak[i].doormodel = getent(trigwindowindoorbreak[i].windowmodel.target, "targetname");
		trigwindowindoorbreak[i] EnableLinkTo();
		trigwindowindoorbreak[i] linkto (trigwindowindoorbreak[i].doormodel);
		trigwindowindoorbreak[i].windowmodel linkto (trigwindowindoorbreak[i].doormodel);
		trigwindowindoorbreak[i] thread windowbreak(i,fxwindowbreak);
	}

	//door code
	trigdoorswing = getentarray("trigdoorswing","targetname");
	for(i=0;i<trigdoorswing.size;i++)
	{
		if (trigdoorswing[i].script_noteworthy == "ccw")
		{
		trigdoorswing[i].intswingdirection = 1;
		}
		else
		{
		trigdoorswing[i].intswingdirection = -1;		
		}
		trigdoorswing[i].doormodel = getent(trigdoorswing[i].target, "targetname");
		trigdoorswing[i].doormodel.doormoving = false;
		trigdoorswing[i].doormodel.doorclosed = true;
		trigdoorswing[i].doormodel.time = 0.7; //how long it takes the door to swing
		trigdoorswing[i] thread doorswing();
	}
	doorknob = getentarray("doorknob","targetname");
	for(i=0;i<doorknob.size;i++)
	{
		doorknob[i] notSolid();
		doorknob[i].doormodel = getent(doorknob[i].target, "targetname");
		doorknob[i] linkto (doorknob[i].doormodel);
	}
	doorknob_static = getentarray("doorknob_static","targetname");
	for(i=0;i<doorknob_static.size;i++)
	{
		doorknob_static[i] notSolid();
	}
}

//door code
doorswing()
{
	while (1)
	{
		self waittill("trigger");
		if(!self.doormodel.doormoving)
		{
			self.doormodel.doormoving = true;
			if(self.doormodel.doorclosed)
			{
				self.doormodel rotateyaw(self.intswingdirection * 90,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = false;
		
				//close door again
				wait 4;
				self.doormodel rotateyaw(self.intswingdirection * -90,self.doormodel.time,self.doormodel.time*0.5,self.doormodel.time*0.5);
				self.doormodel playsound("doormove");
				self.doormodel waittill("rotatedone");
				self.doormodel.doorclosed = true;		
			}
			self.doormodel.doormoving = false;			
		}
	}
}

//glass code
windowbreak(windownumber,fxwindowbreak)
{
	windowbroken=false;
	while (1)
	{
		self waittill("trigger");
		while(!windowbroken)
		{
			windowbroken=true;
			//self playsound("glass_break");
			PlayFX(fxwindowbreak, self.origin);
			self.windowmodel notSolid();
			self.windowmodel hide();
		}
	}
}

//rain code
raining()
{
	level._effect["rain"] = loadfx ("weather/rain_mp_farm");
	level._effect["lightning"] = loadfx ("weather/lightning_mp_farm");
	maps\mp\_fx::loopfx("rain",(self.origin),8);
	maps\mp\_fx::loopfx("lightning",(self.origin),8);
	wait(5);
	while (1)
	{
	self playsound("rainthunder");
	wait(70);
	}
}